| libimobiledevice 1.4.0 API Documentation - Return to Homepage

Macros | Typedefs | Enumerations | Functions
house_arrest.h File Reference

## Description

Access app folders and their contents.

## Macros
#define | HOUSE_ARREST_SERVICE_NAME "com.apple.mobile.house_arrest"
| Service identifier passed to lockdownd_start_service() to start the house arrest service.

## Typedefs
typedef house_arrest_client_private * | house_arrest_client_t
| The client handle.

## Enumerations
enum | house_arrest_error_t { HOUSE_ARREST_E_SUCCESS = 0 , HOUSE_ARREST_E_INVALID_ARG = -1 , HOUSE_ARREST_E_PLIST_ERROR = -2 , HOUSE_ARREST_E_CONN_FAILED = -3 , HOUSE_ARREST_E_INVALID_MODE = -4 , HOUSE_ARREST_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_client_new (idevice_t device, lockdownd_service_descriptor_t service, house_arrest_client_t *client)
| Connects to the house_arrest service on the specified device.
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_client_start_service (idevice_t device, house_arrest_client_t *client, const char *label)
| Starts a new house_arrest service on the specified device and connects to it.
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_client_free (house_arrest_client_t client)
| Disconnects an house_arrest client from the device and frees up the house_arrest client data.
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_send_request (house_arrest_client_t client, plist_t dict)
| Sends a generic request to the connected house_arrest service.
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_send_command (house_arrest_client_t client, const char *command, const char *appid)
| Send a command to the connected house_arrest service.
LIBIMOBILEDEVICE_API house_arrest_error_t | house_arrest_get_result (house_arrest_client_t client, plist_t *dict)
| Retrieves the result of a previously sent house_arrest_request_* request.
LIBIMOBILEDEVICE_API afc_error_t | afc_client_new_from_house_arrest_client (house_arrest_client_t client, afc_client_t *afc_client)
| Creates an AFC client using the given house_arrest client's connection allowing file access to a specific application directory requested by functions like house_arrest_request_vendor_documents().